/// <reference types="react" />
export interface DAlertProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'children'> {
    dVisible?: boolean;
    dType?: 'success' | 'warning' | 'error' | 'info';
    dIcon?: React.ReactNode;
    dTitle: React.ReactNode;
    dDescription?: React.ReactNode;
    dActions?: React.ReactNode[];
    onClose?: () => void;
    afterVisibleChange?: (visible: boolean) => void;
}
export declare function DAlert(props: DAlertProps): JSX.Element | null;
